> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create note

> Create a new note for a job



## OpenAPI

````yaml post /v1.0/{company_id}/jobs/{job_id}/notes
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/jobs/{job_id}/notes:
    post:
      tags:
        - JobNotes
      operationId: JobNotes_CreateJobNote
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateNoteRequest'
        required: true
        x-position: 3
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfJobNote'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    CreateNoteRequest:
      type: object
      additionalProperties: false
      properties:
        text:
          type: string
        files:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/FileDto'
        mentioned_users:
          type: array
          nullable: true
          items:
            type: string
            format: int32
        restricted:
          type: boolean
    SingleResponseOfJobNote:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/JobNote'
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    FileDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        type:
          $ref: '#/components/schemas/FileType'
        size_in_kb:
          type: integer
          format: int32
        download_link:
          type: string
        name:
          type: string
        original_name:
          type: string
        content_type:
          type: string
        file_extension:
          type: string
    JobNote:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        date_created:
          type: string
          format: date-time
        text:
          type: string
        creator:
          $ref: '#/components/schemas/Creator'
        files:
          type: array
          items:
            $ref: '#/components/schemas/FileDto'
        mentioned_users:
          type: array
          items:
            type: string
            format: int32
        restricted:
          type: boolean
    FileType:
      type: string
      description: ''
      x-enumNames:
        - InboundEmailAttachment
        - OutboundEmailAttachment
        - PersonNoteAttachment
        - JobNoteAttachment
        - SignInBrandingLogo
        - CurriculumVitae
        - PDFPreviews
        - CompanyLogo
        - HeroImage
        - ThumbImage
        - StyleSheet
        - ProfileImages
        - PublicImage
        - CandidateFile
        - PDFReport
        - LinkedInShareImage
        - TempCVFile
        - FacebookLinkedInMetaShareImage
        - TwitterMetaShareImage
        - CompanyExport
        - LoggingFile
      enum:
        - inbound_email_attachment
        - outbound_email_attachment
        - person_note_attachment
        - job_note_attachment
        - sign_in_branding_logo
        - curriculum_vitae
        - pdf_previews
        - company_logo
        - hero_image
        - thumb_image
        - style_sheet
        - profile_images
        - public_image
        - candidate_file
        - pdf_report
        - linked_in_share_image
        - temp_cv_file
        - facebook_linked_in_meta_share_image
        - twitter_meta_share_image
        - company_export
        - logging_file
    Creator:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
        user_id:
          type: string
          format: int32
          nullable: true
        guest_id:
          type: string
          format: int32
          nullable: true
        recruiter:
          type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````